%define module GD

Summary:	A perl5 interface to Thomas Boutell's gd library
Name:		perl-GD
Version:	2.07
Release:	3mdk
Source0:	%{module}-%{version}.tar.bz2
#Patch0:		GD-1.41-no-locincpth.patch.bz2
Url:		http://www.cpan.org/
License:	Artistic
Group:		Development/Perl
BuildRequires:	gd-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	xpm
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing


%prep
%setup -q -n %{module}-%{version}
#%patch0 -p0

# Remove Local from path
find . -type f | xargs perl -p -i -e "s|/usr/local/|/usr/|g"

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi -e "s|-L/usr/lib/X11||g;s|-L/usr/X11/lib||g;s|-L/usr/lib||g" Makefile.PL
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|g" Makefile.PL

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README README.QUICKDRAW README.unix
%{perl_vendorarch}/GD*
%{perl_vendorarch}/auto/GD*
%{perl_vendorarch}/qd.pl
%{_mandir}/man3/*

%changelog
* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.07-3mdk
- fix buildrequires for 64bit ports

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.07-2mdk
- rebuilf for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.07-1mdk
- 2.07.

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.06-3mdk
- buildrequires
- don't require perl, rpm will figure it out by itself
- rm -rf $RPM_BUILD_ROOT in %%install

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.06-2mdk
- rebuild for new auto{prov,req}

* Tue Mar  4 2003 <jmdault@mandrakesoft.com> 2.06-1mdk
- New version uses libgd2 since libgd1 is not in the distro anymore.
- IMPORTANT! Required by MySQL-bench and bugzilla

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.41-4mdk
- rebuild for perl thread-multi

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.41-3mdk
- lib64 fixes, don't add /usr/lib/X11 to linker search path

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.41-2mdk
- fix changelog entry (i did 1.41-1mdk, not warly, sorry)

* Tue Jul 23 2002 Warly <warly@mandrakesoft.com> 1.41-1mdk
- new version
- misc spec file fixes
- added P0 (no-locincpth)
- don't ship the patch_gd.pl file

* Tue Jul 23 2002 Warly <warly@mandrakesoft.com> 1.38-2mdk
- rebuild for perl 5.8.0

* Thu Jan 10 2002 Franois Pons <fpons@mandrakesoft.com> 1.38-1mdk
- simplified %%files.
- removed patch.
- 1.38.

* Wed Nov 07 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.33-2mdk
- rebuild against libpng3.

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.33-1mdk
- updated to 1.33

* Sun Apr 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.32-2mdk
- Allow build on non %%ix86 architecture

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.32-1mdk
- used srpm from Don Head <donhead@linux-certified.org> 
	- First Mandrake RPM
